--pet
local _, cfg = ... --export config
local addon, ns = ... --get addon namespace

local f = CreateFrame("Button","BobPetHUD",UIParent,"SecureUnitButtonTemplate")
f.unit = "pet" --change to unit you want to track

--Make the Health Bar
--background texture
f.back = f:CreateTexture(nil,"BACKGROUND")
f.back:SetSize(unpack(cfg.petbarsize))
f.back:SetPoint("CENTER",UIParent,cfg.pethealthx,cfg.pethealthy)
f.back:SetTexture("Interface\\Addons\\BobHUD\\media\\healthbar")
f.back:SetVertexColor(0,0,0,0.5)
--health bar
f.hp = CreateFrame("StatusBar",nil,f,"TextStatusBar")
f.hp:SetSize(unpack(cfg.petbarsize))
f.hp:SetPoint("CENTER",UIParent,cfg.pethealthx,cfg.pethealthy)
f.hp:SetStatusBarTexture("Interface\\Addons\\BobHUD\\media\\healthbar")
f.hp:SetStatusBarColor(0,.8,0)
f.hp:SetMinMaxValues(0,1)
f.hp:SetOrientation("VERTICAL")
f.hp:EnableMouse(0)
f.hp:SetAlpha(cfg.petalpha)
--Make the Mana Bar
f:SetAttribute("unit",f.unit)
--background texture
f.back = f:CreateTexture(nil,"BACKGROUND")
f.back:SetSize(unpack(cfg.petbarsize))
f.back:SetPoint("CENTER",UIParent,cfg.petpowerx,cfg.petpowery)
f.back:SetTexture("Interface\\Addons\\BobHUD\\media\\healthbar")
f.back:SetVertexColor(0,0,0,0.5)
--mana bar
f.mp = CreateFrame("StatusBar",nil,f,"TextStatusBar")
f.mp:SetSize(unpack(cfg.petbarsize))
f.mp:SetPoint("CENTER",UIParent,cfg.petpowerx,cfg.petpowery)
f.mp:SetStatusBarTexture("Interface\\Addons\\BobHUD\\media\\healthbar")
f.mp:SetStatusBarColor(0,0,1)
f.mp:SetMinMaxValues(0,1)
f.mp:SetOrientation("VERTICAL")
f.mp:EnableMouse(0)
f.mp:SetAlpha(cfg.petalpha)

--Updates the status bar to new health
f:SetScript("OnEvent", function(self, event, unit)
	if event == "UNIT_HEALTH" then
	  --update health
		self.hp:SetValue(UnitHealth(unit)/UnitHealthMax(unit))
	elseif event == "UNIT_POWER" then
		--update powa
		self.mp:SetValue(UnitPower(unit)/UnitPowerMax(unit))
	end
end)
f:RegisterUnitEvent("UNIT_HEALTH", f.unit)
f:RegisterUnitEvent("UNIT_POWER", f.unit)

f:GetScript("OnEvent")(f, "UNIT_HEALTH", f.unit)
f:GetScript("OnEvent")(f, "UNIT_POWER", f.unit)

RegisterUnitWatch(f) --Check to see if pet exists